/* You can add global styles to this file, and also import other style files */
/*....... Default settings ......*/
.maxWid8 {
    max-width: 800px;
    min-width: 800px;
}
.maxWid7 {
    max-width: 700px;
    min-width: 700px;
}
.maxWid6 {
    max-width: 600px;
    min-width: 600px;
}

.maxWid5 {
    max-width: 500px;
    min-width: 500px;
}

.maxWid4 {
    max-width: 400px;
    min-width: 400px;
}
.owl-dt-calendar-table .owl-dt-calendar-cell-selected {
    background-color: var(--lightBlue) !important;
}
/*....... UI ......*/
html, body {
    margin: 0;
    padding: 0;
    font-family: Helvetica;
    color: #1f1f1f;
    background: #ecf0f5;
    position: relative;
    width: 100%;
    min-height: 100vh;
    /*overflow: hidden;*/
}

.pageSec {
    min-height: 100vh;
    display: flex;
    justify-content: stretch;
    align-items: stretch;
}

.pageSec .leftSec {
    width: 230px;
    box-sizing: border-box;
    /*background: #222d32;*/
    background: #022b3e;
    transition: all 250ms ease;
}

.pageSec.collapse .leftSec {
    width: 50px;
    z-index: 50;
}

.pageSec .rightSec {
    width: calc(100% - 230px);
    transition: all 250ms ease;
}

.pageSec.collapse .rightSec {
    width: calc(100% - 50px);
}


/*....... header ...........*/
header {
    background: #0b638c;
    line-height: 52px;
    padding: 0 20px;
    color: #f5f5f5;
    width: 100%;
    height: 52px;
    box-sizing: border-box;
}

header a {
    color: #f5f5f5;
}
.leftSec header {
    padding: 0;
}

header .logo {
    width: 100px;
    line-height: inherit;
    margin: 0 auto;
    visibility: visible;
    transition: all 250ms ease;
}
header.login .logo {
    margin-left: 0;
}

.pageSec.collapse header .logo {
    display: none;
    visibility: hidden;
}

header .smallLogo {
    width: 30px;
    margin: 0 auto;
    display: none;
    visibility: hidden;
    transition: all 250ms ease;
}

.pageSec.collapse header .smallLogo {
    display: block;
    visibility: visible;
}

header .logo img {
    display: inline-block;
    vertical-align: middle;
}

header.login,
.rightSec header {
    background: linear-gradient(to right, #0e98d8, #0d79ab);
}

.rightSec header .divideList li {
    position: relative;
}
header .headerOptions {
    position: absolute;
    background: #ffffff;
    z-index: 100;
    min-width: 120px;
    color: #1f1f1f;
    line-height: normal;
    font-size: 13px;
    padding: 5px 0;
    top: 100%;
    right: 0;
    box-shadow: 0 1px 5px rgba(0,0,0,0.2);
    visibility: hidden;
    display: none;
    transition: all 300ms ease;
}
header .divideList li:hover .headerOptions {
    visibility: visible;
    display: block;
}
header .headerOptions li {
    padding: 8px 15px;
    white-space: nowrap;
    cursor: pointer;
    transition: all 200ms ease;
    /*border-bottom: 1px solid var(--separator);*/
}
header .headerOptions li:hover {
    color: var(--lightBlue);
}

header .icon {
    line-height: 50px;
    cursor: pointer;
}

header .icon img {
    display: inline-block;
    vertical-align: middle;
}

header .user {
    width: 20px;
}

header .menu {
    width: 25px;
}

header .notificationBtn.active {
    color: var(--highlight);
}

header .notificationBtn .icon {
    width: 18px;
}

/*........ credentialsBox ........*/
.credentialsBox{
    width: 500px;
    box-sizing: border-box;
    padding: 50px;
    box-shadow: 0 0 5px rgba(0,0,0,0.5);
    margin: 0 auto;
    background: #ecf0f5;
}
.credentialsBox.login{
    margin-top: 100px;
}


/*........ Menus ........*/
.menus {
    color: #ffffff;
}

.menus a {
    color: #ffffff;
}

.menus > li {
    margin-bottom: 5px;
}

.menus .accordionSec .accordionHead {
    padding: 10px 15px;
}

.menus .accordionSec .accordionHead .content {
    width: calc(100% - 30px);
}

.menus .menuIcon {
    width: 20px;
}

.menus .subMenu {
    background: #043850;
}

.menus .subMenu > li {
    border-bottom: 1px solid #000608;
    position: relative;
}

.menus .subMenu > li:after {
    content: '';
    position: absolute;
    width: 7px;
    height: 7px;
    border: 1px solid #ffffff;
    border-radius: 50%;
    left: 21px;
    top: 50%;
    -webkit-transform: translate(0, -50%);
    transform: translate(0, -50%);
}

.menus .subMenu > li a {
    display: block;
    padding: 12px 10px 12px 45px;
}

.menus .subMenu > li:last-of-type {
    border-bottom: none;
}

.menus .subMenu > li:nth-child(even) {
    /*background: #043850;*/
}


.pageSec.collapse .accordionHead .expandBtn {
    display: none !important;
}

.pageSec.collapse .accordionHead .content {
    width: 180px;
    position: absolute;
    left: 50px;
    padding: 0 15px;
    background: #022b3e;
    line-height: 40px;
    visibility: hidden;
}

.pageSec.collapse .accordionSec:hover .content {
    visibility: visible;
}

.pageSec.collapse .menus .accordionContent {
    position: absolute;
    left: 50px;
    width: 180px;
    display: block !important;
    visibility: hidden;
}

.pageSec.collapse .accordionSec:hover .accordionContent {
    visibility: visible;
}

.pageSec.collapse .menus .subMenu > li a {
    padding: 12px 10px 12px 35px;
}

.pageSec.collapse .menus .subMenu > li:after {
    left: 15px;
}

/*........ Column structure .........*/
.dataColumns {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.dataColumns > li {
    background: #ffffff;
    height: 250px;
    box-shadow: 0 0 5px rgba(181, 181, 181, 0.2);
}

.columns5 > li {
    width: calc(20% - 16px);
}

.columns4 > li {
    width: calc(25% - 15px);
}

.columns3 > li {
    width: calc(33.33% - 13px);
}

.columns2 > li {
    width: calc(50% - 10px);
}

.columns1 > li {
    width: 100%;
}



/*......... img uploader ........*/

.input-file-container {
    height: 100%;
    width: 100%;
    z-index: 10;
    opacity: 0;
}

.files-container {
    height: 100%;
    width: 100%;
    padding: 0 !important;
}

.file-container {
    height: 100% !important;
    width: 100% !important;
    padding: 0 !important;
    margin: 0 !important;
    position: absolute;
    top: 0;
    justify-content: start !important;
    left: 0;
    box-sizing: border-box;
    z-index: 50;
}
.file-container.bounce-in {
    z-index: 10;
}

.file-container img.image-preview {
    height: calc(100% - 35px) !important;
    display: none;
}

.files-container .mat-button {
    height: 100% !important;
    width: 100% !important;
    border: none;
    padding: 0 !important;
    background: transparent;
    opacity: 0;
}

.files-container .mat-button .mat-button-wrapper {
    display: none;
}
.mat-button-ripple{
    display: none !important;
}

/*....... Table settings ......*/
.personImage{
    width: 40px;
    transition: all 300ms ease;
}
.personImage:hover{
    transform: scale(1.5);
}
.dataTable .rowCont > li.personIcon{
    width: 9%;
}
.dataTable .rowCont > li.name{
    width: 15%;
}
.dataTable .rowCont > li.email{
    width: 17%;
}
.dataTable .rowCont > li.collage{
    width: 16%;
}
.dataTable .rowCont > li.qualification{
    width: 12%;
}
.dataTable .rowCont > li.place{
    width: 15%;
}
.dataTable .rowCont > li.control{
    width: 15%;
}
